Subject: Re: bug#68370: 30.0.50; pcase eieio, map, seq, and cl-struct constructs are not described in the manual

From: Ihor Radchenko <[email-masked]>
Date: Sat, 13 Jan 2024 13:31:34 +0000

Richard Stallman <[email-masked]> writes:

>   > > I see no need to document specialized pcase constructs like
>   > > `eshell-index-range', but eieie, map, seq, and cl-struct appears to be
>   > > matching common Elisp data structures. I think that they should be
>   > > documented in the manual.
>
> That makes sense to me.
>
> However, what I'm actually asking for about these pcase constructs is
> not any change in Emacs, simply for someone to explain to me what they
> do so I can give cond* similar festures.

My email is not an answer to your question. It is a bug report about
Elisp manual. I did not try to answer you - I myself is also not
familiar with these extra `pcase' constructs. I missed them because they
were not mentioned in the manual.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>